Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.admin.imp
Class LocalLogAdministrator

    java.lang.Object
      com.atomikos.icatch.admin.imp.LocalLogAdministrator

All Implemented Interfaces:
  LogAdministrator, ActionListener, EventListener

    public class LocalLogAdministrator

extends Object
implements ActionListener, LogAdministrator

An administration tool for the TM, allowing log inspection. The inspection window for viewing active transactions will not show transactions that start afterwards. Only a (periodically refreshed) snapshot of those transactions already present is shown. This is to prevent high transaction throughputs from cluttering the display with update events.

Constructor Summary
`LocalLogAdministrator()` Creates a new instance in standalone mode.
`LocalLogAdministrator(String title, boolean standalone)` Construct a new LocalLogAdministrator utility.

Method Summary
`void` | `actionPerformed(ActionEvent ev)`
`void` | `deregisterLogControl(LogControl control)` Deregister (remove) a LogControl instance from the administrator.
`JFrame` | `getJFrame()` Get the frame we are using.
`void` | `init(UserTransactionService service)` Initialize the tool to use a given recovery manager.
`void` | `registerLogControl(LogControl control)` Register (add) a LogControl instance to the administrator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalLogAdministrator

    public LocalLogAdministrator()

  Creates a new instance in standalone mode.

### LocalLogAdministrator

    public LocalLogAdministrator(String title,
                                 boolean standalone)

  Construct a new LocalLogAdministrator utility.

  Parameters:
    `title` - The title for the tool window.
    `standalone` - True if this is the main window. If so, an Exit option will be presented that exits the VM.

Method Detail

### registerLogControl

    public void registerLogControl(LogControl control)

  Description copied from interface: `LogAdministrator`
  Register (add) a LogControl instance to the administrator. This method is typically called right after initialization of the transaction service.

  Specified by:
    `registerLogControl` in interface `LogAdministrator`
  Parameters:
    `control` - The LogControl instance.
  See Also:
    `LogAdministrator`

### deregisterLogControl

    public void deregisterLogControl(LogControl control)

  Description copied from interface: `LogAdministrator`
  Deregister (remove) a LogControl instance from the administrator. This method is typically called at shutdown of the transaction service.

  Specified by:
    `deregisterLogControl` in interface `LogAdministrator`
  Parameters:
    `control` - The LogControl instance to remove. Does nothing if the control is not registered.
  See Also:
    `LogAdministrator`

### init

    public void init(UserTransactionService service)

  Initialize the tool to use a given recovery manager.

  Parameters:
    `service` - The transaction service being used.

### getJFrame

    public JFrame getJFrame()

  Get the frame we are using.

  Returns:
    JFrame The swing frame.

### actionPerformed

    public void actionPerformed(ActionEvent ev)

  Specified by:
    `actionPerformed` in interface `ActionListener`
  See Also:
    `ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.